$(document).ready(function () {
    $("body").off('click').on("click", '.remove', remove);
    $("body").on('change focus', '.item', getItemDetail);
    $("body").on("focus", '.mm', autoAddRows);


    function remove() {
        $(this).closest("tr").remove();
    }
    
    $('#addnew').click(function () {
        AddRows();
    });
    
    function autoAddRows() {
        var ctr = $('#items').val();
        var tr = $(this).closest("tr");
        var srno = tr.find(".srno").val();
        if (srno == ctr) {
            AddRows();
        }
    }

    function AddRows() {
        var ctr = $('#items').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }
        $.post('metric_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tabledata');
            ctr++;
            $('#items').val(ctr);
//            $('.detailpart').select2();
        });
    }
    
    function getItemDetail() {
        var $row = $(this).closest("tr");
        var item = $row.find('.item').val();
        

        $.post('metric.php', {item: item}, function (data) {
            $row.find(".itemcode").val(data);
        });
    }

    
});